const isWebViewAction = ({ type }) => (
  type.startsWith('Navigation/WEBVIEW_')
);

const REF = 'Navigation/WEBVIEW_REF';
const LOAD = 'Navigation/WEBVIEW_LOAD';
const REPLACE = 'Navigation/WEBVIEW_REPLACE';
const RELOAD = 'Navigation/WEBVIEW_RELOAD';
const CLEAR_BACK_PROMISE = 'Navigation/WEBVIEW_CLEAR_BACK_PROMISE';
const LOADING = 'Navigation/WEBVIEW_LOADING';

const createAction = type => (payload = {}) => ({
  type,
  ...payload,
});

const ref = createAction(REF);
const load = createAction(LOAD);
const replace = createAction(REPLACE);
const reload = createAction(RELOAD);
const clearBackPromise = createAction(CLEAR_BACK_PROMISE);
const loading = createAction(LOADING);

export default {
  isWebViewAction,
  // Action constants
  REF,
  LOAD,
  REPLACE,
  RELOAD,
  CLEAR_BACK_PROMISE,
  LOADING,
  // Action creators
  ref,
  load,
  replace,
  reload,
  clearBackPromise,
  loading,
};
